Package com.explodingpixels.widgets

## Class StripedViewportBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - com.explodingpixels.widgets.StripedViewportBorder

All Implemented Interfaces:
  `java.beans.PropertyChangeListener`, `java.io.Serializable`, `java.util.EventListener`, `javax.swing.border.Border`, `javax.swing.event.ListSelectionListener`

    public class StripedViewportBorder
    extends javax.swing.border.AbstractBorder
    implements javax.swing.event.ListSelectionListener, java.beans.PropertyChangeListener

Creates a border for a `JViewport` that draws a striped background corresponding to the row positions of the given `JTable`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`StripedViewportBorder​(javax.swing.JViewport viewport, javax.swing.JTable table)`
`StripedViewportBorder​(javax.swing.JViewport viewport, javax.swing.JTable table, java.awt.Color stripeColor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paintBorder​(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`void` `propertyChange​(java.beans.PropertyChangeEvent evt)`
`void` `valueChanged​(javax.swing.event.ListSelectionEvent e)`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StripedViewportBorder

    public StripedViewportBorder​(javax.swing.JViewport viewport,
                                 javax.swing.JTable table,
                                 java.awt.Color stripeColor)

#### StripedViewportBorder

    public StripedViewportBorder​(javax.swing.JViewport viewport,
                                 javax.swing.JTable table)

### Method Detail

#### paintBorder

    public void paintBorder​(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

Specified by:
  `paintBorder` in interface `javax.swing.border.Border`
Overrides:
  `paintBorder` in class `javax.swing.border.AbstractBorder`

#### valueChanged

    public void valueChanged​(javax.swing.event.ListSelectionEvent e)

Specified by:
  `valueChanged` in interface `javax.swing.event.ListSelectionListener`

#### propertyChange

    public void propertyChange​(java.beans.PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `java.beans.PropertyChangeListener`